Role Assignments - Delete
Menghapus penetapan peran.
DELETE https://management.azure.com/{scope}/providers/Microsoft.Authorization/roleAssignments/{roleAssignmentName}?api-version=2015-07-01
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
role
|
path | True |
|
Nama penetapan peran yang akan dihapus. |
|
scope
|
path | True |
|
Cakupan penetapan peran yang akan dihapus. |
|
api-version
|
query | True |
|
Versi API yang digunakan untuk operasi ini. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK - Mengembalikan informasi tentang penetapan peran. |
|
| 204 No Content |
Penetapan peran sudah dihapus atau tidak ada. |
|
| Other Status Codes |
Respons kesalahan yang menjelaskan mengapa operasi gagal. |
Keamanan
azure_auth
Azure Active Directory Flow OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
Delete role assignment by name
Sample Request
Sample Response
{
"properties": {
"roleDefinitionId": "/subscriptions/subId/providers/Microsoft.Authorization/roleDefinitions/roledefinitionId",
"principalId": "Pid",
"scope": "/subscriptions/subId/resourcegroups/rgname"
},
"id": "/subscriptions/subId/resourcegroups/rgname/providers/Microsoft.Authorization/roleAssignments/roleassignmentId",
"type": "Microsoft.Authorization/roleAssignments",
"name": "roleassignmentId"
}
Definisi
|
Error |
Info tambahan kesalahan manajemen sumber daya. |
|
Error |
Detail kesalahan. |
|
Error |
Respons kesalahan |
|
Role |
Penetapan Peran |
|
Role |
Properti penetapan peran dengan cakupan. |
ErrorAdditionalInfo
Info tambahan kesalahan manajemen sumber daya.
| Name | Type | Description |
|---|---|---|
| info |
|
Info tambahan. |
| type |
|
Jenis info tambahan. |
ErrorDetail
Detail kesalahan.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
Info tambahan kesalahan. |
|
| code |
|
Kode kesalahan. |
| details |
Detail kesalahan. |
|
| message |
|
Pesan kesalahan. |
| target |
|
Target kesalahan. |
ErrorResponse
Respons kesalahan
| Name | Type | Description |
|---|---|---|
| error |
Objek kesalahan. |
RoleAssignment
Penetapan Peran
| Name | Type | Description |
|---|---|---|
| id |
|
ID penetapan peran. |
| name |
|
Nama penetapan peran. |
| properties |
Properti penetapan peran. |
|
| type |
|
Jenis penetapan peran. |
RoleAssignmentPropertiesWithScope
Properti penetapan peran dengan cakupan.
| Name | Type | Description |
|---|---|---|
| principalId |
|
ID utama. |
| roleDefinitionId |
|
ID definisi peran. |
| scope |
|
Cakupan penetapan peran. |